%This GD starts playback of an MP3-File and enables Sharing of the Source-Node
%
%command:       clic shared_mp3play.gd -i <MP3-File>

  WMFReadNode      # setSharingType(EXCLUSIVE_THEN_SHARED)
                   $ setSwitchOutputsEnabled(1) CONSTRUCTED
! PlaybackNode     $ setDownstreamMaxSize(2, "default") CONSTRUCTED

